<script setup lang="ts">
import { inject, type Ref } from 'vue'
import { useAuthStore } from '@/views/Auth/stores/auth'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>

<template>
  <v-navigation-drawer
    v-model="drawer"
    :rail="rail"
    color="brown-darken-3"
    permanent
    @click="rail = false"
  >
    <v-list-item
      prepend-avatar="https://c4.wallpaperflare.com/wallpaper/734/422/558/rabbit-cartoon-looney-tunes-bugs-bunny-bugs-bunny-hd-wallpaper-thumb.jpg"
      :title="authStore.getCurrentUser()?.email"
      nav
    >
      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
      </template>
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item
        prepend-icon="mdi-home"
        title="Main Menu"
        value="home"
        :to="{ name: 'home' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-point-of-sale"
        title="Point of Sale"
        value="pos"
        :to="{ path: '/pos' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-food"
        title="Product Management"
        value="product"
        :to="{ path: '/product' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-star"
        title="Promotion Management"
        value="promotion"
        :to="{ path: '/promotion' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-store"
        title="Stock Management"
        value="stock"
        :to="{ path: '/stock' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-wallet-membership"
        title="Customer Management"
        value="customer"
        :to="{ path: '/customer' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-receipt-text"
        title="Order Management"
        value="order"
        :to="{ path: '/order' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account-box-multiple"
        title="Employee Management"
        value="employee"
        :to="{ path: '/employee' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account"
        title="Users Management"
        value="users"
        :to="{ name: 'users' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-clock"
        title="Checktime Management"
        value="checktime"
        :to="{ path: '/checktime' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-currency-usd"
        title="Salary Management"
        value="salary"
        :to="{ path: '/salary' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-invoice-list"
        title="Bill Management"
        value="bill"
        :to="{ path: '/bill' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-anchor"
        title="Branch Management"
        value="branch"
        :to="{ path: '/branch' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-logout"
        title="Logout"
        value="logout"
        @click="authStore.logout()"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
